function dc = detec_ode (t, c,restransp, pgfp, ptir1, Pr, dmRNA, Kz, kcat, KG, K_G, KA, K_A, dGFP, dprotein, dcompound,p)
    dc = ones(7, 1);
    
    rnagfp = 1;%mRNA-GFP:AID
    rnatir1 = 2;%mRNA-TIR1
    GFP = 3;%GFP:AID
    TIR1 = 4;
    IAA=5;%IAA auxin coming to the cell
    degGFP=6;% GFP degraded by TIR1 
    dIAA=7; %auxin that is outside the cell but in the receptor;
    
    arriving_dIAA = interp1(restransp(:,1),restransp(:,2),t); % Interpolate the data set (ft,f) at time t
    
    dc(rnagfp)=Pr*pgfp-dmRNA*c(rnagfp);
    
    dc(rnatir1)=Pr*ptir1-dmRNA*c(rnatir1);
    
    dc(GFP)=Kz*c(rnagfp) -(kcat*c(TIR1)*c(IAA)*c(GFP))/...
    (((((KG/K_G)+K_A)/KA)*((kcat+K_G)/KG))+...
    ((((KG/K_G)+K_A)/KA)*c(GFP))+(((kcat+K_G)/KG)*c(IAA))) -dGFP*c(GFP);
    
    dc(TIR1)=Kz*c(rnatir1) -(kcat*c(TIR1)*c(IAA)*c(GFP))/...
    (((((KG/K_G)+K_A)/KA)*((kcat+K_G)/KG))+...
    ((((KG/K_G)+K_A)/KA)*c(GFP))+(((kcat+K_G)/KG)*c(IAA))) -dprotein*c(TIR1);
   
    dc(IAA)=p*c(dIAA)-(kcat*c(TIR1)*c(IAA)*c(GFP))/...
    (((((KG/K_G)+K_A)/KA)*((kcat+K_G)/KG))+...
    ((((KG/K_G)+K_A)/KA)*c(GFP))+(((kcat+K_G)/KG)*c(IAA))) -dcompound*c(IAA);
   
%     dc(degGFP)=dGFP*c(GFP) +(kcat*c(TIR1)*c(IAA)*c(GFP))/...
%     (((((KG/K_G)+K_A)/KA)*((kcat+K_G)/KG))+...
%     ((((KG/K_G)+K_A)/KA)*c(GFP))+(((kcat+K_G)/KG)*c(IAA)));

%To see only extra degraded GFP
    dc(degGFP)=(kcat*c(TIR1)*c(IAA)*c(GFP))/...
    (((((KG/K_G)+K_A)/KA)*((kcat+K_G)/KG))+...
    ((((KG/K_G)+K_A)/KA)*c(GFP))+(((kcat+K_G)/KG)*c(IAA)));

    dc(dIAA)=-p*c(dIAA)+arriving_dIAA;
end
% Copyright : iGEM Evry team 2012
% Distributed under the GNU General Public License.

    