function resdetec= detec_system_complete(dIAA,pgfp,tsim)

% concentrations are in �M(= in �mol/L= mmol/m^3), other parameters are in international system unities

ptir1=pgfp; %number of plasmids

Pr = 0.01/60;
dmRNA = 0.017/60;
Kz = 0.1/60;
kcat = 5e-3/60;
KG = 0.5/60;
K_G = 0.1/60;
KA = 100/60;
K_A = 0.5/60;
dGFP = 0.0289/60;
dprotein = 0.17/60;
dcompound = 0.13/60;
p=2;


%vcell=1;%mean volume of a cell where auxin is produced
init=[87.9397;87.9397;304.2820;51.7389;0;0;dIAA(1,2)];%This is an empirical equilibrium to test a perturbation from this steady state value
%corresponds to initial conditions of all variables in this order:...
...[mRNA-GFP:AID;mRNA-TIR1;GFP:AID;TIR1;auxin coming to the cell,IAA;GFP degraded by TIR1 ]


[T,C]=ode45(@(t, c) detec_ode(t, c,dIAA,pgfp, ptir1, Pr, dmRNA, Kz, kcat, KG, K_G, KA, K_A, dGFP, dprotein, dcompound,p), tsim, init);



resdetec=[T C];

%Plots are commented for the integrated model
% plot(T,C);
% h = legend('mRNA-GFP:AID', 'mRNA-TIR1', 'GFP:AID', 'TIR1','IAA','degraded GFP','dIAA');
% xlabel('Time (s)')
% ylabel('concentration of degraded GFP (M) ')
% title('')
end

% Copyright : iGEM Evry team 2012
% Distributed under the GNU General Public License.